com.ihr.xbrl.om.formula.aspects

## Class XPathAspectRule

- java.lang.Object
- - com.ihr.xbrl.om.formula.aspects.CommonAspectRule
  - - com.ihr.xbrl.om.formula.aspects.XPathAspectRule

- All Implemented Interfaces:
    ContextComponentRuleInterface

      public class XPathAspectRule
      extends CommonAspectRule
      implements ContextComponentRuleInterface

  The Class XPathAspectRule.
  Author:
    Ignacio

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.xml.namespace.QName` | `resourceName` The Constant resourceName.

    - ### Fields inherited from class com.ihr.xbrl.om.formula.aspects.CommonAspectRule

      `ALLDIMENSIONALASPECTS, ALLNONDIMENSIONALASPECTS, ANY, COMPLETESCENARIO, COMPLETESEGMENT, CONCEPT, DIMENSION, ENTITYIDENTIFIER, LOCATION, NONE, NONXDTSCENARIO, NONXDTSEGMENT, PERIOD, UNIT, VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPathAspectRule(net.sf.saxon.s9api.XdmNode aspectNode, XBRLFormula formula, int container)` Instantiates a new x path aspect rule.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `updateDimensionsContainer(FContext ctx, XPathHelper xph, boolean bIsOcc)` Update dimensions container.

    - ### Methods inherited from class com.ihr.xbrl.om.formula.aspects.CommonAspectRule

      `getAspectsText`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### resourceName

          public static final javax.xml.namespace.QName resourceName

      The Constant resourceName.

  - ### Constructor Detail

    - #### XPathAspectRule

          public XPathAspectRule(net.sf.saxon.s9api.XdmNode aspectNode,
                         XBRLFormula formula,
                         int container)
                          throws XFxbrlfeIllegalUseOfUncoveredQName

      Instantiates a new x path aspect rule.
      Parameters:
        `aspectNode` - the aspect node
        `formula` - the formula
        `container` - the container
      Throws:
        `XFxbrlfeIllegalUseOfUncoveredQName` - the x fxbrlfe illegal use of uncovered q name

  - ### Method Detail

    - #### updateDimensionsContainer

          public void updateDimensionsContainer(FContext ctx,
                                       XPathHelper xph,
                                       boolean bIsOcc)
                                         throws XFValidationException

      Description copied from interface: `ContextComponentRuleInterface`
      Update dimensions container.
      Specified by:
        `updateDimensionsContainer` in interface `ContextComponentRuleInterface`
      Parameters:
        `ctx` - the ctx
        `xph` - the xph
        `bIsOcc` - the b is occ
      Throws:
        `XFValidationException` - the XF validation exception